Skip to main content
POST
/
api
/
v2
/
block-lists-entries
/
bulk-create
Bulk create block list entry
curl --request POST \
  --url https://api.instantly.ai/api/v2/block-lists-entries/bulk-create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bl_values": [
    "example.com",
    "user@example.com"
  ]
}
'
{
  "items": [
    {
      "id": "019e3bd1-8dfa-744c-afd6-418889f0b33e",
      "timestamp_created": "2026-05-18T16:00:49.658Z",
      "organization_id": "019e3bd1-8dfa-744c-afd6-4189c133828e",
      "bl_value": "example.com",
      "is_domain": true
    }
  ],
  "valid_count": 1,
  "invalid_count": 0
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Domains or emails to block

Domains or emails to block

bl_values
string[]
required

List of domains or emails to block

Required array length: 1 - 1000 elements
Example:
["example.com", "user@example.com"]

Response

List of created Block List Entry

items
Block List Entry · object[]
required
valid_count
number
required

Number of valid entries

Example:

1

invalid_count
number
required

Number of invalid entries

Example:

0